Eclipse Platform Release 3.7

## org.eclipse.jface.viewers
Interface IInputSelectionProvider

All Superinterfaces:
  IInputProvider, ISelectionProvider

All Known Implementing Classes:
  AbstractListViewer, AbstractTableViewer, AbstractTreeViewer, CheckboxTableViewer, CheckboxTreeViewer, ColumnViewer, ComboViewer, CommonViewer, ContainerCheckedTreeViewer, ContentMergeViewer, ContentViewer, DiffTreeViewer, ListViewer, ProjectionViewer, SourceViewer, StructureDiffViewer, StructuredViewer, TableTreeViewer, TableViewer, TextConsoleViewer, TextMergeViewer, TextViewer, TreeViewer, Viewer

    public interface IInputSelectionProvider

extends IInputProvider, ISelectionProvider

Interface common to all objects that provide both an input and a selection.

Method Summary

Methods inherited from interface org.eclipse.jface.viewers.IInputProvider
`getInput`

Methods inherited from interface org.eclipse.jface.viewers.ISelectionProvider
`addSelectionChangedListener, getSelection, removeSelectionChangedListener, setSelection`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.